import { html as p } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (a, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, l) : t, s = a.length - 1, o; s >= 0; s--)
    (o = a[s]) && (e = (r ? o(t, l, e) : o(e)) || e);
  return r && e && g(t, l, e), e;
};
let i = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--vegetarianFilled", this.class = "c-pieIcon c-pieIcon--vegetarianFilled", this.name = "IconVegetarianFilled";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--vegetarianFilled"><path d="m10.844 1.052.323.569.01.02c.243.436 3.255 5.859 2.38 9.089a5.18 5.18 0 0 1-4.98 3.806 5.29 5.29 0 0 1-1.373-.184 5.438 5.438 0 0 1-1.068-.428l.35-.175.359-.237c.21-.146.411-.303.604-.472a6.458 6.458 0 0 0 2.02-3.29L8.202 9.4a5.171 5.171 0 0 1-2.047 2.94c-.05.034-.098.072-.147.11-.063.05-.126.1-.195.144l-.218.113c-.21.117-.43.217-.657.298A5.162 5.162 0 0 1 3.625 8c.857-3.222 6.185-6.351 6.628-6.611l.022-.013.569-.324Z"></path><path d="M2 14.518c.386.073.777.111 1.17.114a6.529 6.529 0 0 0 2.966-.734 5.25 5.25 0 0 1-1.199-.875A5.154 5.154 0 0 1 2 13.185v1.333Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = c([
  h("icon-vegetarian-filled")
], i);
export {
  i as IconVegetarianFilled
};
